#
# spec file for package khal
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           khal
Version:        0.3.1
Release:        1.1
License:        MIT
Summary:        CLI calendar with CalDAV support
Url:            http://lostpackets.de/khal/
Group:          Productivity/Office/Organizers
Source:         %{name}-%{version}.tar.gz
Source99:       khal-rpmlintrc
BuildRequires:  python-setuptools
Requires:       python-pysqlite
Requires:       vdirsyncer
Requires:       python-docopt
Requires:       python-urwid
Requires:       python-configobj
Requires:       python-tzlocal
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Khal is a CLI (console), CalDAV based calendar program, allowing syncing of
calendars with a variety of other programs on a host of different platforms.

%prep
%setup -q

%build

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}
install -D -m 0644 %{name}.conf.sample %{buildroot}%{_docdir}/%{name}/%{name}.conf.sample

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING CONTRIBUTING.txt README.rst
%dir %{python_sitelib}/khal
%dir %{python_sitelib}/khal-*-info
%dir %{python_sitelib}/khal/ui
%dir %{python_sitelib}/khal/khalendar
%dir %{python_sitelib}/khal/settings

%{_bindir}/ikhal
%{_bindir}/khal
%{python_sitelib}/khal-*-info/*
%{python_sitelib}/khal/__init__.py*
%{python_sitelib}/khal/aux.py
%{python_sitelib}/khal/aux.py*
%{python_sitelib}/khal/calendar_display.py*
%{python_sitelib}/khal/controllers.py*
%{python_sitelib}/khal/ui/__init__.py*
%{python_sitelib}/khal/ui/base.py*
%{python_sitelib}/khal/version.py*
%{python_sitelib}/khal/cli.py*
%{python_sitelib}/khal/compat.py*
%{python_sitelib}/khal/exceptions.py*
%{python_sitelib}/khal/khalendar/__init__.py*
%{python_sitelib}/khal/khalendar/backend.py*
%{python_sitelib}/khal/khalendar/datetimehelper.py*
%{python_sitelib}/khal/khalendar/event.py*
%{python_sitelib}/khal/khalendar/exceptions.py*
%{python_sitelib}/khal/khalendar/khalendar.py*
%{python_sitelib}/khal/log.py*
%{python_sitelib}/khal/settings/__init__.py*
%{python_sitelib}/khal/settings/default.khal
%{python_sitelib}/khal/settings/khal.spec
%{python_sitelib}/khal/settings/settings.py*
%{python_sitelib}/khal/settings/utils.py*
%{python_sitelib}/khal/terminal.py*
%{python_sitelib}/khal/ui/startendeditor.py*
%{python_sitelib}/khal/ui/widgets.py*

%changelog
* Wed Nov  5 2014 seiler@b1-systems.de
- added some neccessary dependencies
- updated to version 0.3.1
* Tue Apr 29 2014 seiler@b1-systems.de
- added prefix to get this build working for SLES
* Tue Apr 29 2014 seiler@b1-systems.de
- initial commit of version 0.1.0
